summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author mario2013-01-03 22:04:30 +0100
committer dsomero2013-01-10 00:52:21 +0100
commit84c5309e53708002d0db56116d3790aa23b98273 (patch)
tree252e8d770bfc753662eb3d6b9be213456245c560
parente75bde27bc7eba78f1a5a312a5d57186288d4ca4 (diff)
downloadslackbuilds-84c5309e53708002d0db56116d3790aa23b98273.tar.gz
development/omake: Added (the OMake build system).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--development/omake/README5
-rw-r--r--development/omake/omake-warn-error.diff11
-rw-r--r--development/omake/omake.SlackBuild97
-rw-r--r--development/omake/omake.info10
-rw-r--r--development/omake/slack-desc19
5 files changed, 142 insertions, 0 deletions
diff --git a/development/omake/README b/development/omake/README
new file mode 100644
index 0000000000..01c781da6b
--- /dev/null
+++ b/development/omake/README
@@ -0,0 +1,5 @@
+OMake is a build system designed for scalability and portability. It uses a
+syntax similar to make utilities you may have used, but it features many
+additional enhancements.
+
+OMake requires ocaml and ocaml-findlib, also available from SlackBuilds.org
diff --git a/development/omake/omake-warn-error.diff b/development/omake/omake-warn-error.diff
new file mode 100644
index 0000000000..3392c8f311
--- /dev/null
+++ b/development/omake/omake-warn-error.diff
@@ -0,0 +1,11 @@
+--- orig/lib/build/OCaml.om 2010-03-30 10:18:37 +0000
++++ work/lib/build/OCaml.om 2010-03-30 12:41:33 +0000
+@@ -170,7 +170,7 @@
+ #
+ declare OCAMLDEPFLAGS
+ public.OCAMLPPFLAGS =
+-public.OCAMLFLAGS = -warn-error A
++public.OCAMLFLAGS =
+ public.OCAMLCFLAGS = -g
+ public.OCAMLOPTFLAGS =
+ public.OCAMLCPPFLAGS =
diff --git a/development/omake/omake.SlackBuild b/development/omake/omake.SlackBuild
new file mode 100644
index 0000000000..af17daa577
--- /dev/null
+++ b/development/omake/omake.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for omake
+
+# Copyright 2012, mario <mario@slackverse.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=omake
+VERSION=${VERSION:-0.9.8.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCVER=${VERSION}-0.rc1
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix things for newer OCaml
+patch -p1 <$CWD/omake-warn-error.diff
+
+# No configure, manual it is..
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+PREFIX=/usr \
+LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+INSTALL_ROOT=$PKG \
+make install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.txt COMMENTS INSTALL LICENSE LICENSE.OMake doc/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/omake/omake.info b/development/omake/omake.info
new file mode 100644
index 0000000000..244bf96aa4
--- /dev/null
+++ b/development/omake/omake.info
@@ -0,0 +1,10 @@
+PRGNAM="omake"
+VERSION="0.9.8.6"
+HOMEPAGE="http://omake.metaprl.org/"
+DOWNLOAD="http://omake.metaprl.org/downloads/omake-0.9.8.6-0.rc1.tar.gz"
+MD5SUM="fe39a476ef4e33b7ba2ca77a6bcaded2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ocaml-findlib"
+MAINTAINER="mario"
+EMAIL="mario@slackverse.org"
diff --git a/development/omake/slack-desc b/development/omake/slack-desc
new file mode 100644
index 0000000000..a409ec5cca
--- /dev/null
+++ b/development/omake/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+omake: OMake (The OMake build system)
+omake:
+omake: OMake is a build system designed for scalability and portability. It
+omake: uses a syntax similar to make utilities you may have used, but it
+omake: features many additional enhancements.
+omake:
+omake: Homepage: http://omake.metaprl.org/
+omake:
+omake:
+omake:
+omake: